aboutsummaryrefslogtreecommitdiff
path: root/src/test/test_key_expiration.sh
diff options
context:
space:
mode:
authorrl1987 <rl1987@sdf.lonestar.org>2019-04-03 17:58:05 +0300
committerrl1987 <rl1987@sdf.lonestar.org>2019-04-03 17:58:05 +0300
commit9e04a8722081cd761ee3a2e173b53c7859a8c916 (patch)
tree4f04095fbd02a2e32a1f3b111c8dfd7fc5851a1b /src/test/test_key_expiration.sh
parent700310df613e379dc1930917f0f8a25f0c894a52 (diff)
downloadtor-9e04a8722081cd761ee3a2e173b53c7859a8c916.tar.gz
tor-9e04a8722081cd761ee3a2e173b53c7859a8c916.zip
Fix SC2064 warning
Diffstat (limited to 'src/test/test_key_expiration.sh')
-rwxr-xr-xsrc/test/test_key_expiration.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/test/test_key_expiration.sh b/src/test/test_key_expiration.sh
index 6e49919941..8614a4fa48 100755
--- a/src/test/test_key_expiration.sh
+++ b/src/test/test_key_expiration.sh
@@ -60,7 +60,7 @@ if [ ! -d "$DATA_DIR" ]; then
echo "Failure: mktemp invocation result doesn't point to directory" >&2
exit 3
fi
-trap "rm -rf '$DATA_DIR'" 0
+trap 'rm -rf "$DATA_DIR"' 0
# Use an absolute path for this or Tor will complain
DATA_DIR=$(cd "${DATA_DIR}" && pwd)